Reports
These API endpoints let a user file a report against any votable entity
GET
Returns anonymized counts of reports grouped by reason and status
Success
application/json- response
[index: integer]?curl -X GET 'https://spider.omniplex.gg/reports/stats'Example Response
[ { "count": 0, "reason": "string", "status": "string" }]PUT
Files a report against any votable entity. Returns 204 on success
Userheader
User-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
uid*stringThe reporting user's ID
target_type*stringThe target type of the entity being reported
target_id*stringThe ID of the entity being reported
application/json- body
description?stringreason?stringValue in
"license_violation""tos_violation""spam""other"Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X PUT 'https://spider.omniplex.gg/users/string/string/string/reports' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "context": { "property1": "string", "property2": "string" }, "message": "string"}